## flipclock 0.9.7-3

=== debian/changelog ===
flipclock (0.9.7-3) stable; urgency=low

  Attempt to fix build so that extras/extras-devel will work properly

 -- Rob Williams <rob@jumpnetworks.net>  Fri, 12 Feb 2010 15:22:01 +0000

flipclock (0.9.7-2) stable; urgency=low

  Fixed the off-by-one problem, making app work properly on N900

 -- Rob Williams <rob@jumpnetworks.net>  Wed, 11 Feb 2010 15:22:01 +0000

flipclock (0.9.7) stable; urgency=low

  Added basic timer mode
  Fixed up theme graphics for day theme (again)
  Implemented "playlist" alert mode
  Fixed "5 loops maximum" bug with alarm sound
  Changed snooze mode to slider control

 -- Rob Williams <rob@jumpnetworks.net>  Fri, 15 Dec 2009 15:22:01 +0000

flipclock (0.9.6) stable; urgency=low

  Add slider controls and additional clock settings
  Added Insomniac lock control
  Added main controls to clock settings screen
  Fixed up graphics for mood picker in Flip theme
  Fixed up theme graphics for day theme (again)
  Implemented rendering buffers to improve display speed

 -- Rob Williams <rob@jumpnetworks.net>  Fri, 27 Nov 2009 15:22:01 +0000

=== debian/control ===
Source: flipclock
Section: user/utilities
Priority: optional
Maintainer: Rob Williams <rob@jumpnetworks.net>
Build-Depends: maemo-optify, libglib2.0-dev,libgconf2-dev,libosso-dev,libalarm-dev,libgtk2.0-dev,libgstreamer0.10-dev,libhildonfm2-dev,libsdl1.2-dev,libsdl-image1.2-dev,libsdl-gfx1.2-dev,libsdl-ttf2.0-dev
Standards-Version: 0.9.7

Package: flipclock
Depends: libglib2.0-0,libgconf2-6,libosso1,libalarm2,libgtk2.0-0,libgstreamer0.10-0,libhildonfm2,libsdl1.2,libsdl-image1.2,libsdl-gfx1.2-4,libsdl-ttf2.0-0
Architecture: any
Description: Flip Alarm Clock C - 0.9.7 Beta 
 Full screen finger friendly alarm clock, rebuilt.
 Full AlarmD Integration and customization including
 additional theme support.
XB-Maemo-Display-Name: FlipClock
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAADsAAAA8CAMAAADv/jI5AAADAFBMVEW+AADe3t7s7Oy2trasrKzW
 1tbp6emlpaWdnZ3Ozs6+vr6VlZWDg4OUAADGxsZzc3OMjIzTVFRsbGz///8DAwMzMzNAQEB7e3tT
 U1MWFhYnJydJSUm1AABkZGRcXFytAACdAAD4+PiFAADQTU3VW1vbqqrWX1/LMDDHIyPFGhqlAAAi
 IiI6OjqLAAC/CAgRERHDERHIKSm1EBCsGRm1GBi1Kiq1Bwe+ICC0ISG8EBCeQUHFUlK9GBilIiLF
 Skq0Y2POUlKrKSm8a2u+SkqkSEisQkK1Skq+KSnJqanOWlqtISGUEBCcEBCkGRnMnp6dICC+UlKu
 Dw+UGRmMERHFk5PVpqacFxekU1PHWlqtSkp8AQGLCQmVCgqeS0ufioqeUVGmKCishYWLGRmdCgq1
 Q0OkQkKyfn62T092ERGNbGyTKiqWICCbOjrOa2utW1u+ioqcW1vGfHzOioqGEBCKICClOjrbk5O+
 lJSuCAimfHxzGRm5amq0g4OFGBitZGRSOjqECAjGmprUqqqffHzRo6OOMjKvdHSjEhK6hobAdHSO
 QECUWlqGSkqBISHem5u1jY18b29+CAiRMTGubW1zMDCKXV3Lg4N6GhqVREStpaV9EBCvOTnLY2N7
 Tk50bGyfKCieNDR8Y2NbQUFrWFiflpaOJibFY2PJtbV0WVmKh4d7QECLOTmWbW12Y2N0R0eviIh3
 PDy+enqtT0+8Li7KurqGNTXIpqaNcnLew8Occ3Oqf3+nWVnSjo6GWVlfLS1cLy+ehYV5KirEPz+8
 RUWijIzDhISjYGDMxMR8XFx8c3NvIyOmgYGxXl7TkZFHPT2FX1/CdXWMYWGDOjpmLi53Pz8AAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAB5WI4cAAAACXBIWXMAAA7DAAAOwwHHb6hkAAAFhUlEQVR4nJ2Vi1cUVRzH77ID
 s7Mz7KxTMSuwC64ayEuRRYQVXASlBUFAQEWRh+IL1Mx32MPy0UPSLPNZerTy9NJMszrpsdKkLO2U
 /UH9fvcx7Lq4S37m7s5cls/93nvnN7vk6SfGQ6ZPHB/Tp0OLwkPy8/PTH0t+ej57j2AiNhzNQ56h
 FLAXP1mdAt5jpENLh4Zx8PKQgoKCtEQ8wDf4x9GhcFI+kpaWkZi0jLQHGWnWCMz2kYwMzzjI8Jx/
 f/ilvsXHh+/deoAjgO0l8IFvbC4R5Ft6/fXBzKysrLy8vOzs1NTjr+AEqOvzeg04vHhiDTvGpSLq
 foEfbMjMRDcL3ezUwsJbOH0f8fm8BkU3ItCNt5hKTkDvUCZzeW5qof88rN4A19Bj+auScE5Ar4RE
 uNnoroP9MwjMzkR02hjHeojFCdM8QkRuR0MeqoUYnIGubmqmxoGL9dWzSARdpnZMuEd1o4HNufOh
 B1zDq2tRvE2i6MK/cPeQrn/CXP+L1DV0zR3J84+4bnc3dUG+aer76T6j60HXjFLVR9wlbrWbb1XW
 MdMcTGW563wenbpqJD+cLi0NRLiqukTk/m2a+9k++0/5eK6qOkSjL1V9vTzCvRsoCZSUNDY2rte0
 o3yf7/l8OtF1U3XE8o1wN2GPjocr0gZ47kMvuoYW68qOu1GuJX/H68p/QbhyLO9ZLnSY3l1xrmcV
 qw3/v1Dy1HVYhiQuTg4Jdy7to9wIhZVNa3L5h1D8dL2aQxLI1tUBy5UkbpeIZ6Fw22/gek2aK8Wy
 J8JlNuSOPguf6wbOWXdDmp03cZbWjLp2btezB4mu138Bc6EkZSpFH6O5diH/WLu9UeT6f9YNlmuP
 xXKHoENtuububJ57SjdMdCW70zrExRvCnUeHkoS8kOd2cnes3AjXOVRePhNoObhbdpxjNdnZ+RF1
 VckZy6jrdA6J5xfcCpFLXXNMd7O1XqdzXiYRrlzB19v5lW4Sk7ouJ3vhGz1vLuJsdLrmFc0Cdu3K
 6pXlLpGLrmY67K5Y2oT7pst1pYjLvZJcu2rVihXLl7/67hFw3VqEq1jnthlFcEDb4nL9Wg7MmtnS
 clmSLPd3dGGbXcoItOuvPbfv+r6LIwoebTM4W5SRtnK+0XskqX/hwoaGxYu3ntJ0jahu2aVQps2Y
 BiyFqxFFaZrG2aIo++YAgUCgZY1d6j9I5a3D8DVOVFW6pijJ6FLCCu1Z7gcwVNmcMnQDf9pPVjZ2
 dLRC7j8auA5VYrnJuZQzbBJNrJcLbrLyS1lZ2eyyQH396epGdFv7+m7CzwBxwFYlU3KL4cg9wzrt
 xVy+Ae4LuSgD9ZWVlR2LWlu3DX+GubJsV9i/F1M2CpdzAzpKuK6urnR26ex6lBcNDPStd2OuJDu5
 m1OcAwg3h7MDe8qndWhXl1ZX9yw6O7DhS/jeQ1dy4qc2cHOYa8P+VOHep0MpTc1XS6+CWt3Tc7Z7
 pUN1w+8esduvgWmDZuPv7DKig26ycrHtytyhTS8f6MVHUVXhVw9cly0RKAMurHR8lmXIhQUTp3Mk
 oUtXwVz8HoBgFScNrjJOFYtd5Drc6ELh276fGpf29vam9qamvXvbdu48fPhy7x+7P2a5Lleybcfk
 RFRVVdXcvr169er5p7dvHxz8iW40gWJM2TEhPqHQ5CDINTULQJ7fXzG4km4WuLaU+1MmTJjy+CMU
 CgWDoWBVc82CBcuWze/vRxduEoGbm/LOlPiEw6FwMNjc3Lx2Lci1XRV3WC51n40HuuHw0qVBdNeC
 W9t1h+faUlKS4IiPKBB6l2hxwGYRmw3VODATXUWUB95gzEU3PmPmYnEQnHJC2ZbCg0WuTOecWE16
 NPf/uJbMFowV7cDCIkmTxkHSpKhl8wHIU0/Of5n1mNK6485oAAAAAElFTkSuQmCC

## flipclock 0.9.7-4

=== Makefile ===
#
# Crude Makefile for flipclockC
#
DESTDIR=/

DESTDIR=/

# define a list of pkg-config packages we want to use
#pkg_packages := glib-2.0 gconf-2.0 libosso libalarm gtk+-2.0 gstreamer-0.10 hildon-fm-2
pkg_packages := $(if $(shell pkg-config --libs --silence-errors libosso), glib-2.0 gconf-2.0 libosso gtk+-2.0 gstreamer-0.10 hildon-fm-2, glib-2.0 gconf-2.0 gtk+-2.0 gstreamer-0.10)

#alarm packages for Maemo 4.x
libAlarmName := $(if $(shell pkg-config --libs --silence-errors libalarm), libalarm, alarm)
alarmD2 := $(if $(shell pkg-config --libs --silence-errors alarm), -DALARMD2=1,)

#alarmSync_packages := $(if $(shell pkg-config --libs --silence-errors libalarm), glib-2.0 libosso libalarm, glib-2.0)
#test for Maemo 5
alarmSync_packages := $(if $(shell pkg-config --libs --silence-errors $(libAlarmName)), glib-2.0 libosso $(libAlarmName), glib-2.0)


fmRadio_packages := $(if $(shell pkg-config --libs --silence-errors libosso), glib-2.0 libosso, glib-2.0)

THEMEPATH := /usr/share/flipclockC/themes/
MEDIAPATH := /usr/share/flipclockC/media/

PKG_CFLAGS  := $(shell pkg-config --cflags $(pkg_packages))
PKG_LDFLAGS := $(shell pkg-config --libs $(pkg_packages))

PKG_AS_CFLAGS := $(shell pkg-config --cflags $(alarmSync_packages))
PKG_AS_LDFLAGS := $(shell pkg-config --libs $(alarmSync_packages))

PKG_FM_CFLAGS := $(shell pkg-config --cflags $(fmRadio_packages))
PKG_FM_LDFLAGS := $(shell pkg-config --libs $(fmRadio_packages))

# Add warnings and debugging info
ADD_CFLAGS := -g -Wall `sdl-config --cflags`
ADD_LFLAGS := `sdl-config --libs`

#Add other libraries that aren't available from pkg-config
ADD_LIBS := -lSDL_image -lSDL_ttf -lSDL_gfx

ADD_HEADER := $(if $(shell pkg-config --libs --silence-errors libosso), -DHAS_OSSO=\"1\",)


# Combine
CFLAGS  := $(PKG_CFLAGS) $(ADD_CFLAGS) $(CFLAGS)
LDFLAGS := $(PKG_LDFLAGS) $(ADD_LFLAGS) $(LDFLAGS)

#targets = flipclock flipAlarmSync flipFMRadio
targets = $(if $(shell pkg-config --libs --silence-errors libosso), flipclock flipAlarmSync flipFMRadio, flipclock)

all: $(targets)

# For simple one-file programs, combining both compiling and linking
# makes sense.
#
# PROGNAME = name of program to prefix to all printout in program
# ProgName = name of program to use for LibOSSO registration and user
#            visible dialogs/infoprints.
flipclock: fc4.c

	$(CC) $(CFLAGS) -DPROGNAME=\"$@\" -DPROGVERSION=\"2.0\" \
	 -DDEBUGENABLED=1 -DMEDIAPATH=\"$(MEDIAPATH)\" \
	-DTHEMESPATH=\"$(THEMEPATH)\" \
	-DPREFSPATH=\"/home/user/\"  $(ADD_HEADER) \
          $< -o $@ $(LDFLAGS) $(ADD_LIBS) 

flipAlarmSync: fcAlarmSync.c
	$(CC) $(PKG_AS_CFLAGS) -DPREFSPATH=\"/home/user/\" $(alarmD2) \
 	$< -o $@ $(PKG_AS_LDFLAGS) 

flipFMRadio: fcFMRadio.c
	$(CC) $(PKG_FM_CFLAGS) $< -o $@ $(PKG_FM_LDFLAGS)

.PHONY: clean all
clean:
	$(RM) $(targets)

install:
	mkdir -p $(DESTDIR)/usr/bin
	mkdir -p $(DESTDIR)/usr/sbin
	mkdir -p $(DESTDIR)/usr/share/flipclockC
	mkdir -p $(DESTDIR)/usr/share/applications/hildon
	mkdir -p $(DESTDIR)/usr/share/dbus-1/services
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/40x40/hildon
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/scalable/hildon
	mkdir -p $(DESTDIR)$(MEDIAPATH)
	mkdir -p $(DESTDIR)$(THEMEPATH)
	#cp -rf media/* $(DESTDIR)$(MEDIAPATH)
	#cp -rf themes/* $(DESTDIR)$(THEMEPATH)

	cp -rf bin/* $(DESTDIR)/usr/bin
	cp -rf shareSrc/* $(DESTDIR)/usr/share 
	install $(targets) $(DESTDIR)/usr/sbin

=== debian/changelog ===
flipclock (0.9.7-4) stable; urgency=low

  Build for Maemo4

 -- Rob Williams <rob@jumpnetworks.net>  Fri, 12 Feb 2010 16:22:01 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 0.9.7
 
 Package: flipclock
-Depends: libglib2.0-0,libgconf2-6,libosso1,libalarm2,libgtk2.0-0,libgstreamer0.10-0,libhildonfm2,libsdl1.2,libsdl-image1.2,libsdl-gfx1.2-4,libsdl-ttf2.0-0
+Depends: libglib2.0-0,libgconf2-6,libosso1,libalarm0,libgtk2.0-0,libgstreamer0.10-0,libhildonfm2,libsdl1.2,libsdl-image1.2,libsdl-gfx1.2-4,libsdl-ttf2.0-0
 Architecture: any
 Description: Flip Alarm Clock C - 0.9.7 Beta 
  Full screen finger friendly alarm clock, rebuilt.

=== debian/rules ===
#!/usr/bin/make -f

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	#touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE)
	$(MAKE) install DESTDIR=$(CURDIR)/debian/flipclock


# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installexamples
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## flipclock 0.9.7-5

=== debian/changelog ===
flipclock (0.9.7-5) stable; urgency=low
 
  Updated to latest package code by Spencer:
        * src/alarmFunc.c (handleAlarm):
        - Adding additional debug to show which alarm is being triggered
        * src/audioFunc.c (cb_message_error), (gstFindBestSink),
        (createPlayer):
        - Fixed potential memory issue on GError variables
        - Fixed problem with NULL player being triggered
        - Fixed Alarm functionality on N900

 -- Rob Williams <rob@jumpnetworks.net>  Wed, 24 Feb 2010 16:22:01 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,15 @@
 #!/usr/bin/make -f
+
+DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
 
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
 	#touch configure-stamp
-
+	./autogen.sh --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr	
 
 build: build-stamp
 
@@ -20,7 +24,7 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	-$(MAKE) distclean
 
 	dh_clean

## flipclock 0.9.7-6

=== debian/changelog ===
flipclock (0.9.7-6) stable; urgency=low

  Fixed typo in package postrm file to ensure alarms are cleared when 
  uninstalling

 -- Rob Williams <rob@jumpnetworks.net>  Thurs, 25 Feb 2010 16:22:01 +0000

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,19 @@
 Section: user/utilities
 Priority: optional
 Maintainer: Rob Williams <rob@jumpnetworks.net>
-Build-Depends: maemo-optify, libglib2.0-dev,libgconf2-dev,libosso-dev,libalarm-dev,libgtk2.0-dev,libgstreamer0.10-dev,libhildonfm2-dev,libsdl1.2-dev,libsdl-image1.2-dev,libsdl-gfx1.2-dev,libsdl-ttf2.0-dev
+Build-Depends: maemo-optify,libglib2.0-dev,libgconf2-dev,libosso-dev,libalarm-dev,libgtk2.0-dev,libgstreamer0.10-dev,libhildonfm2-dev,libsdl1.2-dev,libsdl-image1.2-dev,libsdl-gfx1.2-dev,libsdl-ttf2.0-dev
 Standards-Version: 0.9.7
 
 Package: flipclock
-Depends: libglib2.0-0,libgconf2-6,libosso1,libalarm0,libgtk2.0-0,libgstreamer0.10-0,libhildonfm2,libsdl1.2,libsdl-image1.2,libsdl-gfx1.2-4,libsdl-ttf2.0-0
+Depends: ${shlibs:Depends}
 Architecture: any
 Description: Flip Alarm Clock C - 0.9.7 Beta 
  Full screen finger friendly alarm clock, rebuilt.
  Full AlarmD Integration and customization including
  additional theme support.
-XB-Maemo-Display-Name: FlipClock
+XB-Maemo-Display-Name: Flip Clock
+XSBC-Maemo-Display-Name: Flip Clock
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=851&atid=3189
 XB-Maemo-Icon-26: 
  iVBORw0KGgoAAAANSUhEUgAAADsAAAA8CAMAAADv/jI5AAADAFBMVEW+AADe3t7s7Oy2trasrKzW
  1tbp6emlpaWdnZ3Ozs6+vr6VlZWDg4OUAADGxsZzc3OMjIzTVFRsbGz///8DAwMzMzNAQEB7e3tT

## flipclock 0.9.7-7

=== debian/changelog ===
flipclock (0.9.7-7) stable; urgency=low

  Fixed typo in dbus service files

 -- Rob Williams <rob@jumpnetworks.net>  Thurs, 25 Feb 2010 16:22:01 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/utilities
 Priority: optional
 Maintainer: Rob Williams <rob@jumpnetworks.net>
-Build-Depends: maemo-optify,libglib2.0-dev,libgconf2-dev,libosso-dev,libalarm-dev,libgtk2.0-dev,libgstreamer0.10-dev,libhildonfm2-dev,libsdl1.2-dev,libsdl-image1.2-dev,libsdl-gfx1.2-dev,libsdl-ttf2.0-dev
+Build-Depends: osso-af-settings,maemo-optify,libglib2.0-dev,libgconf2-dev,libosso-dev,libalarm-dev,libgtk2.0-dev,libgstreamer0.10-dev,libhildonfm2-dev,libsdl1.2-dev,libsdl-image1.2-dev,libsdl-gfx1.2-dev,libsdl-ttf2.0-dev
 Standards-Version: 0.9.7
 
 Package: flipclock
